import { Problem, Solution, User } from './model'

export type DatabaseConnection = {
    getProblem(id: string): Promise<Problem | null>
}

export type Database = {
    users: Record<string, User>
    problems: Record<string, Problem>
    solutions: Record<string, Solution>
}
