import { DatabaseConnection } from './database'

export type ServerAsyncCallback = () => Promise<void>

export type RenderedPage = {
    html: string
    metadata: any
    asyncCallbacks: ServerAsyncCallback[]
}

export type RenderFunction = (url: string, db: DatabaseConnection) => RenderedPage
